Bug 25136 - PatronSelfRegistrationLibraryList controls both self-reg and self-modification
Summary: PatronSelfRegistrationLibraryList controls both self-reg and self-modification
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 19.05
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 25137
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-13 19:43 UTC by Andrew Fuerste-Henry
Modified: 2020-05-05 22:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25136: Make PatronSelfRegistrationLibraryList only effect new registration (1.77 KB, patch)
2020-04-15 22:47 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25136: Make PatronSelfRegistrationLibraryList only effect new registration (1.84 KB, patch)
2020-04-16 00:20 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25136: Make PatronSelfRegistrationLibraryList only effect new registration (1.91 KB, patch)
2020-04-16 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25136: join the 2 ifs (1.48 KB, patch)
2020-04-16 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-04-13 19:43:46 UTC
The syspref PatronSelfRegistrationLibraryList describes itself as being about self-registration, but also limits the libraries available for patron self-modification. This presents a problem for libraries that want to corral their self-reg patrons into one library but allow full patrons to move between libraries.

I've only confirmed this on 19.05. Master is currently doing something else weird on this syspref, which I'll file a bug for separately.

This is part of a larger muddling of selfreg and selfmod that it'd be helpful to get untangled. See also bug 13188 for separating out the mandatory fields for the two pages.
Comment 1 Andrew Fuerste-Henry 2020-04-13 19:49:23 UTC
Bug around this syspref in master: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=25137
Comment 2 Lucas Gass 2020-04-15 22:47:58 UTC
Created attachment 103042 [details] [review]
Bug 25136: Make PatronSelfRegistrationLibraryList only effect new registration

This patch makes it so PatronSelfRegistrationLibraryList will only effect the registration from and not the modification form.
TO TEST:
1. Turn on self reg and add some libaries to PatronSelfRegistrationLibraryList.
2. Notice that the libaries that display in the borrower_branchcode dropdown are the ones you selected on both the new registration from and the modification form.
3. Apply patch.
4. Now only the new registration from should show libaries on PatronSelfRegistrationLibraryList.
5. The modifciation dropdown should still show all libraries.
Comment 3 Andrew Fuerste-Henry 2020-04-16 00:20:22 UTC
Created attachment 103056 [details] [review]
Bug 25136: Make PatronSelfRegistrationLibraryList only effect new registration

This patch makes it so PatronSelfRegistrationLibraryList will only effect the registration from and not the modification form.
TO TEST:
1. Turn on self reg and add some libaries to PatronSelfRegistrationLibraryList.
2. Notice that the libaries that display in the borrower_branchcode dropdown are the ones you selected on both the new registration from and the modification form.
3. Apply patch.
4. Now only the new registration from should show libaries on PatronSelfRegistrationLibraryList.
5. The modifciation dropdown should still show all libraries.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-04-16 09:52:59 UTC
Created attachment 103066 [details] [review]
Bug 25136: Make PatronSelfRegistrationLibraryList only effect new registration

This patch makes it so PatronSelfRegistrationLibraryList will only effect the registration from and not the modification form.
TO TEST:
1. Turn on self reg and add some libaries to PatronSelfRegistrationLibraryList.
2. Notice that the libaries that display in the borrower_branchcode dropdown are the ones you selected on both the new registration from and the modification form.
3. Apply patch.
4. Now only the new registration from should show libaries on PatronSelfRegistrationLibraryList.
5. The modifciation dropdown should still show all libraries.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2020-04-16 09:53:02 UTC
Created attachment 103067 [details] [review]
Bug 25136: join the 2 ifs

Highlight that we only need this for action="new"

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-04-16 18:28:14 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-05-05 22:44:57 UTC
missing dependencies - not backported to 19.11.x